# python/rpmal-py.c File Reference

`#include "system.h"`
`#include <rpmcb.h>`
`#include <rpmlib.h>`
`#include "rpmal-py.h"`
`#include "rpmal.h"`
`#include "rpmds-py.h"`
`#include "rpmfi-py.h"`
`#include "debug.h"`
Include dependency graph for rpmal-py.c:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions

static PyObject * | rpmal_Debug (rpmalObject *s, PyObject *args, PyObject *kwds)
static PyObject * | rpmal_Add (rpmalObject *s, PyObject *args, PyObject *kwds)
static PyObject * | rpmal_Del (rpmalObject *s, PyObject *args, PyObject *kwds)
static PyObject * | rpmal_AddProvides (rpmalObject *s, PyObject *args, PyObject *kwds)
static PyObject * | rpmal_MakeIndex (rpmalObject *s)
static void | rpmal_dealloc (rpmalObject *s)
static PyObject * | rpmal_getattro (PyObject *o, PyObject *n)
static int | rpmal_setattro (PyObject *o, PyObject *n, PyObject *v)
rpmalObject * | rpmal_Wrap (rpmal al)

## Variables

static struct PyMethodDef | rpmal_methods []
static char | rpmal_doc []
PyTypeObject | rpmal_Type

## Detailed Description

Definition in file rpmal-py.c.

## Function Documentation

static PyObject* rpmal_Add | ( | rpmalObject * | s,
|  | PyObject * | args,
|  | PyObject * | kwds |
| ) |  |  | `[static]`

Definition at line 33 of file rpmal-py.c.

References rpmalObject_s::al, rpmdsObject_s::ds, rpmfiObject_s::fi, rpmalAdd(), rpmds_Type, and rpmfi_Type.

static PyObject* rpmal_AddProvides | ( | rpmalObject * | s,
|  | PyObject * | args,
|  | PyObject * | kwds |
| ) |  |  | `[static]`

Definition at line 73 of file rpmal-py.c.

References rpmalObject_s::al, rpmdsObject_s::ds, rpmalAddProvides(), and rpmds_Type.

static void rpmal_dealloc | ( | rpmalObject * | s | ) | `[static]`

Definition at line 126 of file rpmal-py.c.

References rpmalObject_s::al, and rpmalFree().

static PyObject* rpmal_Debug | ( | rpmalObject * | s,
|  | PyObject * | args,
|  | PyObject * | kwds |
| ) |  |  | `[static]`

Definition at line 18 of file rpmal-py.c.

References _rpmal_debug.

static PyObject* rpmal_Del | ( | rpmalObject * | s,
|  | PyObject * | args,
|  | PyObject * | kwds |
| ) |  |  | `[static]`

Definition at line 55 of file rpmal-py.c.

References rpmalObject_s::al, and rpmalDel().

static PyObject* rpmal_getattro | ( | PyObject * | o,
|  | PyObject * | n |
| ) |  |  | `[static]`

Definition at line 135 of file rpmal-py.c.

static PyObject* rpmal_MakeIndex | ( | rpmalObject * | s | ) | `[static]`

Definition at line 96 of file rpmal-py.c.

References rpmalObject_s::al, and rpmalMakeIndex().

static int rpmal_setattro | ( | PyObject * | o,
|  | PyObject * | n,
|  | PyObject * | v |
| ) |  |  | `[static]`

Definition at line 141 of file rpmal-py.c.

## Variable Documentation

char rpmal_doc[]`[static]`

Initial value:

    ""

Definition at line 150 of file rpmal-py.c.

struct PyMethodDef rpmal_methods[]`[static]`

Initial value:

     {
     {"Debug",      (PyCFunction)rpmal_Debug,       METH_VARARGS|METH_KEYWORDS,
            NULL},
     {"add",        (PyCFunction)rpmal_Add,         METH_VARARGS|METH_KEYWORDS,
            NULL},
     {"delete",     (PyCFunction)rpmal_Del,         METH_VARARGS|METH_KEYWORDS,
            NULL},
     {"addProvides",(PyCFunction)rpmal_AddProvides, METH_VARARGS|METH_KEYWORDS,
            NULL},
     {"makeIndex",(PyCFunction)rpmal_MakeIndex,     METH_NOARGS,
            NULL},
     {NULL,         NULL }
    }

Definition at line 108 of file rpmal-py.c.